com.microfocus.awm.meta.util

## Class TaurusAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.microfocus.awm.meta.util.TaurusAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class TaurusAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  See Also:
    `TaurusPackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createActionDescriptorAdapter()` Creates a new adapter for an object of class '`Action Descriptor`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createApplicationOptionsAdapter()` Creates a new adapter for an object of class '`Application Options`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAWMIdentifiableObjectAdapter()` Creates a new adapter for an object of class '`AWM Identifiable Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAWMObjectAdapter()` Creates a new adapter for an object of class '`AWM Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCActionDescriptorsAdapter()` Creates a new adapter for an object of class '`CAction Descriptors`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCElementListStructuresAdapter()` Creates a new adapter for an object of class '`CElement List Structures`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCElementTypesAdapter()` Creates a new adapter for an object of class '`CElement Types`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCFileDescriptorsAdapter()` Creates a new adapter for an object of class '`CFile Descriptors`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCFilterTypesAdapter()` Creates a new adapter for an object of class '`CFilter Types`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCFunctionPackagesAdapter()` Creates a new adapter for an object of class '`CFunction Packages`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCGlobalActionsAdapter()` Creates a new adapter for an object of class '`CGlobal Actions`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCIconsAdapter()` Creates a new adapter for an object of class '`CIcons`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCIDDefinitionsAdapter()` Creates a new adapter for an object of class '`CID Definitions`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexAttributeAdapter()` Creates a new adapter for an object of class '`Complex Attribute`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexAttributeBaseAdapter()` Creates a new adapter for an object of class '`Complex Attribute Base`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCPropertiesAdapter()` Creates a new adapter for an object of class '`CProperties`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCToolCategoryAdapter()` Creates a new adapter for an object of class '`CTool Category`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCToolDescriptorsAdapter()` Creates a new adapter for an object of class '`CTool Descriptors`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDynamicModelExtensionObjectAdapter()` Creates a new adapter for an object of class '`Dynamic Model Extension Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDynamicObjectAdapter()` Creates a new adapter for an object of class '`Dynamic Object`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDynamicToolDescriptorAdapter()` Creates a new adapter for an object of class '`Dynamic Tool Descriptor`'.
    `org.eclipse.emf.common.notify.Adapter` | `createElementListStructureAdapter()` Creates a new adapter for an object of class '`Element List Structure`'.
    `org.eclipse.emf.common.notify.Adapter` | `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createErrorViewAdapter()` Creates a new adapter for an object of class '`Error View`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFileDescriptorAdapter()` Creates a new adapter for an object of class '`File Descriptor`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFilterTypeAdapter()` Creates a new adapter for an object of class '`Filter Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFunctionPackageAdapter()` Creates a new adapter for an object of class '`Function Package`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFunctionPackageIconAdapter()` Creates a new adapter for an object of class '`Function Package Icon`'.
    `org.eclipse.emf.common.notify.Adapter` | `createGenericSymbolsAdapter()` Creates a new adapter for an object of class '`Generic Symbols`'.
    `org.eclipse.emf.common.notify.Adapter` | `createGlobalActionAdapter()` Creates a new adapter for an object of class '`Global Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIconAdapter()` Creates a new adapter for an object of class '`Icon`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIDDefinitionAdapter()` Creates a new adapter for an object of class '`ID Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIFunctionPackageDefinableAdapter()` Creates a new adapter for an object of class '`IFunction Package Definable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAEditorActionAdapter()` Creates a new adapter for an object of class '`ISA Editor Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAISPFPanelAdapter()` Creates a new adapter for an object of class '`ISAISPF Panel`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAISPFToolAdapter()` Creates a new adapter for an object of class '`ISAISPF Tool`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAPanelCommandAdapter()` Creates a new adapter for an object of class '`ISA Panel Command`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAPlugInAdapter()` Creates a new adapter for an object of class '`ISA Plug In`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISAWorkbenchActionAdapter()` Creates a new adapter for an object of class '`ISA Workbench Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createISelectionConditionAdapter()` Creates a new adapter for an object of class '`ISelection Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLinkedElementTypeAdapter()` Creates a new adapter for an object of class '`Linked Element Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLinkedPropertyAdapter()` Creates a new adapter for an object of class '`Linked Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPredefinedIconAdapter()` Creates a new adapter for an object of class '`Predefined Icon`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRActionComplexConditionAdapter()` Creates a new adapter for an object of class '`RAction Complex Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRActionParmOverrideAdapter()` Creates a new adapter for an object of class '`RAction Parm Override`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRActionSimpleConditionAdapter()` Creates a new adapter for an object of class '`RAction Simple Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRActionToolAdapter()` Creates a new adapter for an object of class '`RAction Tool`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRApplicationActionAdapter()` Creates a new adapter for an object of class '`RApplication Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRApplicationPropertyAdapter()` Creates a new adapter for an object of class '`RApplication Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRDecorationValueAdapter()` Creates a new adapter for an object of class '`RDecoration Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementActionAdapter()` Creates a new adapter for an object of class '`RElement Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementActionBaseAdapter()` Creates a new adapter for an object of class '`RElement Action Base`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementFilterAdapter()` Creates a new adapter for an object of class '`RElement Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementGetChildrenActionAdapter()` Creates a new adapter for an object of class '`RElement Get Children Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementGetPropertiesAdapter()` Creates a new adapter for an object of class '`RElement Get Properties`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementlistActionAdapter()` Creates a new adapter for an object of class '`RElementlist Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementlistColumnAdapter()` Creates a new adapter for an object of class '`RElementlist Column`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementlistPropertyAdapter()` Creates a new adapter for an object of class '`RElementlist Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementPropertyAdapter()` Creates a new adapter for an object of class '`RElement Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRElementTextDecorationAdapter()` Creates a new adapter for an object of class '`RElement Text Decoration`'.
    `org.eclipse.emf.common.notify.Adapter` | `createREnabledConditionAdapter()` Creates a new adapter for an object of class '`REnabled Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createREnabledConditionBaseAdapter()` Creates a new adapter for an object of class '`REnabled Condition Base`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRErrorViewActionAdapter()` Creates a new adapter for an object of class '`RError View Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFileActionAdapter()` Creates a new adapter for an object of class '`RFile Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFileAttributeAdapter()` Creates a new adapter for an object of class '`RFile Attribute`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFileElementAdapter()` Creates a new adapter for an object of class '`RFile Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFilePropertyAdapter()` Creates a new adapter for an object of class '`RFile Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFilterActionAdapter()` Creates a new adapter for an object of class '`RFilter Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRFilterFiltercriterionAdapter()` Creates a new adapter for an object of class '`RFilter Filtercriterion`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRIDPropertyAdapter()` Creates a new adapter for an object of class '`RID Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRISPFToolPanelAdapter()` Creates a new adapter for an object of class '`RISPF Tool Panel`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRPanelFieldAdapter()` Creates a new adapter for an object of class '`RPanel Field`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRSelectionEnabledConditionAdapter()` Creates a new adapter for an object of class '`RSelection Enabled Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRSelectionVisibleConditionAdapter()` Creates a new adapter for an object of class '`RSelection Visible Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRToolInParameterAdapter()` Creates a new adapter for an object of class '`RTool In Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRToolOutParameterAdapter()` Creates a new adapter for an object of class '`RTool Out Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRToolParameterAdapter()` Creates a new adapter for an object of class '`RTool Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRToolValidateActionAdapter()` Creates a new adapter for an object of class '`RTool Validate Action`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRVisibleConditionAdapter()` Creates a new adapter for an object of class '`RVisible Condition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSelectionPropertyMappingAdapter()` Creates a new adapter for an object of class '`Selection Property Mapping`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSpecificAttributeAdapter()` Creates a new adapter for an object of class '`Specific Attribute`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTAURUSConfigurationAdapter()` Creates a new adapter for an object of class '`TAURUS Configuration`'.
    `org.eclipse.emf.common.notify.Adapter` | `createToolDescriptorAdapter()` Creates a new adapter for an object of class '`Tool Descriptor`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusAdapterFactory

          public TaurusAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createActionDescriptorAdapter

          public org.eclipse.emf.common.notify.Adapter createActionDescriptorAdapter()

      Creates a new adapter for an object of class '`Action Descriptor`'.
      Returns:
        the new adapter.
      See Also:
        `ActionDescriptor`

    - #### createApplicationOptionsAdapter

          public org.eclipse.emf.common.notify.Adapter createApplicationOptionsAdapter()

      Creates a new adapter for an object of class '`Application Options`'.
      Returns:
        the new adapter.
      See Also:
        `ApplicationOptions`

    - #### createCActionDescriptorsAdapter

          public org.eclipse.emf.common.notify.Adapter createCActionDescriptorsAdapter()

      Creates a new adapter for an object of class '`CAction Descriptors`'.
      Returns:
        the new adapter.
      See Also:
        `CActionDescriptors`

    - #### createCElementListStructuresAdapter

          public org.eclipse.emf.common.notify.Adapter createCElementListStructuresAdapter()

      Creates a new adapter for an object of class '`CElement List Structures`'.
      Returns:
        the new adapter.
      See Also:
        `CElementListStructures`

    - #### createCElementTypesAdapter

          public org.eclipse.emf.common.notify.Adapter createCElementTypesAdapter()

      Creates a new adapter for an object of class '`CElement Types`'.
      Returns:
        the new adapter.
      See Also:
        `CElementTypes`

    - #### createCFileDescriptorsAdapter

          public org.eclipse.emf.common.notify.Adapter createCFileDescriptorsAdapter()

      Creates a new adapter for an object of class '`CFile Descriptors`'.
      Returns:
        the new adapter.
      See Also:
        `CFileDescriptors`

    - #### createCFilterTypesAdapter

          public org.eclipse.emf.common.notify.Adapter createCFilterTypesAdapter()

      Creates a new adapter for an object of class '`CFilter Types`'.
      Returns:
        the new adapter.
      See Also:
        `CFilterTypes`

    - #### createCFunctionPackagesAdapter

          public org.eclipse.emf.common.notify.Adapter createCFunctionPackagesAdapter()

      Creates a new adapter for an object of class '`CFunction Packages`'.
      Returns:
        the new adapter.
      See Also:
        `CFunctionPackages`

    - #### createCGlobalActionsAdapter

          public org.eclipse.emf.common.notify.Adapter createCGlobalActionsAdapter()

      Creates a new adapter for an object of class '`CGlobal Actions`'.
      Returns:
        the new adapter.
      See Also:
        `CGlobalActions`

    - #### createCIconsAdapter

          public org.eclipse.emf.common.notify.Adapter createCIconsAdapter()

      Creates a new adapter for an object of class '`CIcons`'.
      Returns:
        the new adapter.
      See Also:
        `CIcons`

    - #### createCIDDefinitionsAdapter

          public org.eclipse.emf.common.notify.Adapter createCIDDefinitionsAdapter()

      Creates a new adapter for an object of class '`CID Definitions`'.
      Returns:
        the new adapter.
      See Also:
        `CIDDefinitions`

    - #### createComplexAttributeAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexAttributeAdapter()

      Creates a new adapter for an object of class '`Complex Attribute`'.
      Returns:
        the new adapter.
      See Also:
        `ComplexAttributeBase`

    - #### createComplexAttributeBaseAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexAttributeBaseAdapter()

      Creates a new adapter for an object of class '`Complex Attribute Base`'.
      Returns:
        the new adapter.
      See Also:
        `ComplexAttributeBase`

    - #### createCPropertiesAdapter

          public org.eclipse.emf.common.notify.Adapter createCPropertiesAdapter()

      Creates a new adapter for an object of class '`CProperties`'.
      Returns:
        the new adapter.
      See Also:
        `CProperties`

    - #### createCToolCategoryAdapter

          public org.eclipse.emf.common.notify.Adapter createCToolCategoryAdapter()

      Creates a new adapter for an object of class '`CTool Category`'.
      Returns:
        the new adapter.
      See Also:
        `CToolCategory`

    - #### createCToolDescriptorsAdapter

          public org.eclipse.emf.common.notify.Adapter createCToolDescriptorsAdapter()

      Creates a new adapter for an object of class '`CTool Descriptors`'.
      Returns:
        the new adapter.
      See Also:
        `CToolDescriptors`

    - #### createDocumentRootAdapter

          public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

      Creates a new adapter for an object of class '`Document Root`'.
      Returns:
        the new adapter.
      See Also:
        `DocumentRoot`

    - #### createDynamicObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createDynamicObjectAdapter()

      Creates a new adapter for an object of class '`Dynamic Object`'.
      Returns:
        the new adapter.
      See Also:
        `DynamicObject`

    - #### createDynamicModelExtensionObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createDynamicModelExtensionObjectAdapter()

      Creates a new adapter for an object of class '`Dynamic Model Extension Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EObject`

    - #### createElementListStructureAdapter

          public org.eclipse.emf.common.notify.Adapter createElementListStructureAdapter()

      Creates a new adapter for an object of class '`Element List Structure`'.
      Returns:
        the new adapter.
      See Also:
        `ElementListStructure`

    - #### createElementTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createElementTypeAdapter()

      Creates a new adapter for an object of class '`Element Type`'.
      Returns:
        the new adapter.
      See Also:
        `ElementType`

    - #### createErrorViewAdapter

          public org.eclipse.emf.common.notify.Adapter createErrorViewAdapter()

      Creates a new adapter for an object of class '`Error View`'.
      Returns:
        the new adapter.
      See Also:
        `ErrorView`

    - #### createFileDescriptorAdapter

          public org.eclipse.emf.common.notify.Adapter createFileDescriptorAdapter()

      Creates a new adapter for an object of class '`File Descriptor`'.
      Returns:
        the new adapter.
      See Also:
        `FileDescriptor`

    - #### createFilterTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterTypeAdapter()

      Creates a new adapter for an object of class '`Filter Type`'.
      Returns:
        the new adapter.
      See Also:
        `FilterType`

    - #### createFunctionPackageAdapter

          public org.eclipse.emf.common.notify.Adapter createFunctionPackageAdapter()

      Creates a new adapter for an object of class '`Function Package`'.
      Returns:
        the new adapter.
      See Also:
        `FunctionPackage`

    - #### createFunctionPackageIconAdapter

          public org.eclipse.emf.common.notify.Adapter createFunctionPackageIconAdapter()

      Creates a new adapter for an object of class '`Function Package Icon`'.
      Returns:
        the new adapter.
      See Also:
        `FunctionPackageIcon`

    - #### createGenericSymbolsAdapter

          public org.eclipse.emf.common.notify.Adapter createGenericSymbolsAdapter()

      Creates a new adapter for an object of class '`Generic Symbols`'.
      Returns:
        the new adapter.
      See Also:
        `GenericSymbols`

    - #### createGlobalActionAdapter

          public org.eclipse.emf.common.notify.Adapter createGlobalActionAdapter()

      Creates a new adapter for an object of class '`Global Action`'.
      Returns:
        the new adapter.
      See Also:
        `GlobalAction`

    - #### createIconAdapter

          public org.eclipse.emf.common.notify.Adapter createIconAdapter()

      Creates a new adapter for an object of class '`Icon`'.
      Returns:
        the new adapter.
      See Also:
        `Icon`

    - #### createIDDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createIDDefinitionAdapter()

      Creates a new adapter for an object of class '`ID Definition`'.
      Returns:
        the new adapter.
      See Also:
        `IDDefinition`

    - #### createISAEditorActionAdapter

          public org.eclipse.emf.common.notify.Adapter createISAEditorActionAdapter()

      Creates a new adapter for an object of class '`ISA Editor Action`'.
      Returns:
        the new adapter.
      See Also:
        `ISAEditorAction`

    - #### createISAISPFPanelAdapter

          public org.eclipse.emf.common.notify.Adapter createISAISPFPanelAdapter()

      Creates a new adapter for an object of class '`ISAISPF Panel`'.
      Returns:
        the new adapter.
      See Also:
        `ISAISPFPanel`

    - #### createISAISPFToolAdapter

          public org.eclipse.emf.common.notify.Adapter createISAISPFToolAdapter()

      Creates a new adapter for an object of class '`ISAISPF Tool`'.
      Returns:
        the new adapter.
      See Also:
        `ISAISPFTool`

    - #### createISAPanelCommandAdapter

          public org.eclipse.emf.common.notify.Adapter createISAPanelCommandAdapter()

      Creates a new adapter for an object of class '`ISA Panel Command`'.
      Returns:
        the new adapter.
      See Also:
        `ISAPanelCommand`

    - #### createISAPlugInAdapter

          public org.eclipse.emf.common.notify.Adapter createISAPlugInAdapter()

      Creates a new adapter for an object of class '`ISA Plug In`'.
      Returns:
        the new adapter.
      See Also:
        `ISAPlugIn`

    - #### createISAWorkbenchActionAdapter

          public org.eclipse.emf.common.notify.Adapter createISAWorkbenchActionAdapter()

      Creates a new adapter for an object of class '`ISA Workbench Action`'.
      Returns:
        the new adapter.
      See Also:
        `ISAWorkbenchAction`

    - #### createLinkedElementTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createLinkedElementTypeAdapter()

      Creates a new adapter for an object of class '`Linked Element Type`'.
      Returns:
        the new adapter.
      See Also:
        `LinkedElementType`

    - #### createLinkedPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createLinkedPropertyAdapter()

      Creates a new adapter for an object of class '`Linked Property`'.
      Returns:
        the new adapter.
      See Also:
        `LinkedProperty`

    - #### createPredefinedIconAdapter

          public org.eclipse.emf.common.notify.Adapter createPredefinedIconAdapter()

      Creates a new adapter for an object of class '`Predefined Icon`'.
      Returns:
        the new adapter.
      See Also:
        `PredefinedIcon`

    - #### createPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

      Creates a new adapter for an object of class '`Property`'.
      Returns:
        the new adapter.
      See Also:
        `Property`

    - #### createRActionComplexConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createRActionComplexConditionAdapter()

      Creates a new adapter for an object of class '`RAction Complex Condition`'.
      Returns:
        the new adapter.
      See Also:
        `RActionComplexCondition`

    - #### createRActionParmOverrideAdapter

          public org.eclipse.emf.common.notify.Adapter createRActionParmOverrideAdapter()

      Creates a new adapter for an object of class '`RAction Parm Override`'.
      Returns:
        the new adapter.
      See Also:
        `RActionParmOverride`

    - #### createRActionSimpleConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createRActionSimpleConditionAdapter()

      Creates a new adapter for an object of class '`RAction Simple Condition`'.
      Returns:
        the new adapter.
      See Also:
        `RActionSimpleCondition`

    - #### createRActionToolAdapter

          public org.eclipse.emf.common.notify.Adapter createRActionToolAdapter()

      Creates a new adapter for an object of class '`RAction Tool`'.
      Returns:
        the new adapter.
      See Also:
        `RActionTool`

    - #### createRApplicationActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRApplicationActionAdapter()

      Creates a new adapter for an object of class '`RApplication Action`'.
      Returns:
        the new adapter.
      See Also:
        `RApplicationAction`

    - #### createRElementActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementActionAdapter()

      Creates a new adapter for an object of class '`RElement Action`'.
      Returns:
        the new adapter.
      See Also:
        `RElementAction`

    - #### createRElementActionBaseAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementActionBaseAdapter()

      Creates a new adapter for an object of class '`RElement Action Base`'.
      Returns:
        the new adapter.
      See Also:
        `RElementActionBase`

    - #### createRElementFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementFilterAdapter()

      Creates a new adapter for an object of class '`RElement Filter`'.
      Returns:
        the new adapter.
      See Also:
        `RElementFilter`

    - #### createRElementGetPropertiesAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementGetPropertiesAdapter()

      Creates a new adapter for an object of class '`RElement Get Properties`'.
      Returns:
        the new adapter.
      See Also:
        `RElementGetProperties`

    - #### createRElementGetChildrenActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementGetChildrenActionAdapter()

      Creates a new adapter for an object of class '`RElement Get Children Action`'.
      Returns:
        the new adapter.
      See Also:
        `RElementGetChildrenAction`

    - #### createRElementlistActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementlistActionAdapter()

      Creates a new adapter for an object of class '`RElementlist Action`'.
      Returns:
        the new adapter.
      See Also:
        `RElementlistAction`

    - #### createRElementlistColumnAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementlistColumnAdapter()

      Creates a new adapter for an object of class '`RElementlist Column`'.
      Returns:
        the new adapter.
      See Also:
        `RElementlistColumn`

    - #### createRApplicationPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createRApplicationPropertyAdapter()

      Creates a new adapter for an object of class '`RApplication Property`'.
      Returns:
        the new adapter.
      See Also:
        `RApplicationProperty`

    - #### createRElementlistPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementlistPropertyAdapter()

      Creates a new adapter for an object of class '`RElementlist Property`'.
      Returns:
        the new adapter.
      See Also:
        `RElementlistProperty`

    - #### createRElementPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementPropertyAdapter()

      Creates a new adapter for an object of class '`RElement Property`'.
      Returns:
        the new adapter.
      See Also:
        `RElementProperty`

    - #### createRSelectionEnabledConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createRSelectionEnabledConditionAdapter()

      Creates a new adapter for an object of class '`RSelection Enabled Condition`'.
      Returns:
        the new adapter.
      See Also:
        `RSelectionEnabledCondition`

    - #### createRSelectionVisibleConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createRSelectionVisibleConditionAdapter()

      Creates a new adapter for an object of class '`RSelection Visible Condition`'.
      Returns:
        the new adapter.
      See Also:
        `RSelectionVisibleCondition`

    - #### createISelectionConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createISelectionConditionAdapter()

      Creates a new adapter for an object of class '`ISelection Condition`'.
      Returns:
        the new adapter.
      See Also:
        `ISelectionCondition`

    - #### createREnabledConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createREnabledConditionAdapter()

      Creates a new adapter for an object of class '`REnabled Condition`'.
      Returns:
        the new adapter.
      See Also:
        `REnabledCondition`

    - #### createRVisibleConditionAdapter

          public org.eclipse.emf.common.notify.Adapter createRVisibleConditionAdapter()

      Creates a new adapter for an object of class '`RVisible Condition`'.
      Returns:
        the new adapter.
      See Also:
        `RVisibleCondition`

    - #### createREnabledConditionBaseAdapter

          public org.eclipse.emf.common.notify.Adapter createREnabledConditionBaseAdapter()

      Creates a new adapter for an object of class '`REnabled Condition Base`'.
      Returns:
        the new adapter.
      See Also:
        `REnabledConditionBase`

    - #### createRElementTextDecorationAdapter

          public org.eclipse.emf.common.notify.Adapter createRElementTextDecorationAdapter()

      Creates a new adapter for an object of class '`RElement Text Decoration`'.
      Returns:
        the new adapter.
      See Also:
        `RElementTextDecoration`

    - #### createRDecorationValueAdapter

          public org.eclipse.emf.common.notify.Adapter createRDecorationValueAdapter()

      Creates a new adapter for an object of class '`RDecoration Value`'.
      Returns:
        the new adapter.
      See Also:
        `RDecorationValue`

    - #### createRErrorViewActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRErrorViewActionAdapter()

      Creates a new adapter for an object of class '`RError View Action`'.
      Returns:
        the new adapter.
      See Also:
        `RErrorViewAction`

    - #### createRFileActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRFileActionAdapter()

      Creates a new adapter for an object of class '`RFile Action`'.
      Returns:
        the new adapter.
      See Also:
        `RFileAction`

    - #### createRFileAttributeAdapter

          public org.eclipse.emf.common.notify.Adapter createRFileAttributeAdapter()

      Creates a new adapter for an object of class '`RFile Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RFileAttribute`

    - #### createRFileElementAdapter

          public org.eclipse.emf.common.notify.Adapter createRFileElementAdapter()

      Creates a new adapter for an object of class '`RFile Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RFileElement`

    - #### createRFilePropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createRFilePropertyAdapter()

      Creates a new adapter for an object of class '`RFile Property`'.
      Returns:
        the new adapter.
      See Also:
        `RFileProperty`

    - #### createRFilterActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRFilterActionAdapter()

      Creates a new adapter for an object of class '`RFilter Action`'.
      Returns:
        the new adapter.
      See Also:
        `RFilterAction`

    - #### createRFilterFiltercriterionAdapter

          public org.eclipse.emf.common.notify.Adapter createRFilterFiltercriterionAdapter()

      Creates a new adapter for an object of class '`RFilter Filtercriterion`'.
      Returns:
        the new adapter.
      See Also:
        `RFilterFiltercriterion`

    - #### createRIDPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createRIDPropertyAdapter()

      Creates a new adapter for an object of class '`RID Property`'.
      Returns:
        the new adapter.
      See Also:
        `RIDProperty`

    - #### createRISPFToolPanelAdapter

          public org.eclipse.emf.common.notify.Adapter createRISPFToolPanelAdapter()

      Creates a new adapter for an object of class '`RISPF Tool Panel`'.
      Returns:
        the new adapter.
      See Also:
        `RISPFToolPanel`

    - #### createRPanelFieldAdapter

          public org.eclipse.emf.common.notify.Adapter createRPanelFieldAdapter()

      Creates a new adapter for an object of class '`RPanel Field`'.
      Returns:
        the new adapter.
      See Also:
        `RPanelField`

    - #### createRToolInParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createRToolInParameterAdapter()

      Creates a new adapter for an object of class '`RTool In Parameter`'.
      Returns:
        the new adapter.
      See Also:
        `RToolInParameter`

    - #### createRToolOutParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createRToolOutParameterAdapter()

      Creates a new adapter for an object of class '`RTool Out Parameter`'.
      Returns:
        the new adapter.
      See Also:
        `RToolOutParameter`

    - #### createRToolParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createRToolParameterAdapter()

      Creates a new adapter for an object of class '`RTool Parameter`'.
      Returns:
        the new adapter.
      See Also:
        `RToolParameter`

    - #### createRToolValidateActionAdapter

          public org.eclipse.emf.common.notify.Adapter createRToolValidateActionAdapter()

      Creates a new adapter for an object of class '`RTool Validate Action`'.
      Returns:
        the new adapter.
      See Also:
        `RToolValidateAction`

    - #### createSelectionPropertyMappingAdapter

          public org.eclipse.emf.common.notify.Adapter createSelectionPropertyMappingAdapter()

      Creates a new adapter for an object of class '`Selection Property Mapping`'.
      Returns:
        the new adapter.
      See Also:
        `SelectionPropertyMapping`

    - #### createSpecificAttributeAdapter

          public org.eclipse.emf.common.notify.Adapter createSpecificAttributeAdapter()

      Creates a new adapter for an object of class '`Specific Attribute`'.
      Returns:
        the new adapter.
      See Also:
        `SpecificAttribute`

    - #### createTAURUSConfigurationAdapter

          public org.eclipse.emf.common.notify.Adapter createTAURUSConfigurationAdapter()

      Creates a new adapter for an object of class '`TAURUS Configuration`'.
      Returns:
        the new adapter.
      See Also:
        `TAURUSConfiguration`

    - #### createToolDescriptorAdapter

          public org.eclipse.emf.common.notify.Adapter createToolDescriptorAdapter()

      Creates a new adapter for an object of class '`Tool Descriptor`'.
      Returns:
        the new adapter.
      See Also:
        `ToolDescriptor`

    - #### createAWMObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createAWMObjectAdapter()

      Creates a new adapter for an object of class '`AWM Object`'.
      Returns:
        the new adapter.
      See Also:
        `AWMObject`

    - #### createAWMIdentifiableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createAWMIdentifiableObjectAdapter()

      Creates a new adapter for an object of class '`AWM Identifiable Object`'.
      Returns:
        the new adapter.
      See Also:
        `AWMIdentifiableObject`

    - #### createIFunctionPackageDefinableAdapter

          public org.eclipse.emf.common.notify.Adapter createIFunctionPackageDefinableAdapter()

      Creates a new adapter for an object of class '`IFunction Package Definable`'.
      Returns:
        the new adapter.
      See Also:
        `IFunctionPackageDefinable`

    - #### createDynamicToolDescriptorAdapter

          public org.eclipse.emf.common.notify.Adapter createDynamicToolDescriptorAdapter()

      Creates a new adapter for an object of class '`Dynamic Tool Descriptor`'.
      Returns:
        the new adapter.
      See Also:
        `ToolDescriptor`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case.
      Returns:
        the new adapter.

Copyright © 2015 Micro Focus GmbH. All rights reserved.